@use 'stack';

/* Style du conteneur principal pour les résultats */
#search-results {
}

/* Style pour les éléments individuels des résultats */
.result-item {
  margin-top: 20px;
  border: 1px solid #e0e0e0;
  padding: 16px;
  background-color: #f9f9f9;
  cursor: pointer;

  &--selected {
    border-color: var(--border-open-blue-france);
  }
}

/* Style du texte principal (nom de la collectivité) */
.result-item strong {
  display: block;
  font-size: 1.1em;
  font-weight: bold;
  color: #0033a0; /* Couleur bleue pour se rapprocher du style vu dans l'image */
  margin-bottom: 4px;
}

/* Style de l'adresse */
.result-item {
  font-size: 0.95em;
  color: #333; /* Couleur gris foncé */
}

/* Box container for highlighting the result */
.result-container {
  border: 1px solid #e0e0e0;
  border-radius: 8px;
  padding: 16px;
  background-color: #ffffff;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.05);
  font-family: Arial, sans-serif;
}

/* Heading style */
.result-container strong {
  font-size: 1.2em;
  font-weight: bold;
  color: #0033a0;
  margin-bottom: 4px;
  display: block;
}

/* Address style */
.result-container {
  color: #333;
  font-size: 0.95em;
}

/* Optional: Style for displaying "No results found" or "Error" messages */
.result-item.error {
  color: #ff0000;
  font-style: italic;
}
